Debian Bug report logs - #599082
unblock: neverball/1.5.4-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Alexander Reichle-Schmehl <tolimar@debian.org>

Date: Mon, 4 Oct 2010 14:09:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel-games@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599082; Package release.debian.org. (Mon, 04 Oct 2010 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel-games@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Oct 2010 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: neverball/1.5.4-3
Date: Mon, 04 Oct 2010 16:05:56 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception


Hi!

Would you please unblock neverball/1.5.4-3 as it "fixes" #598614, a FTBFS on mips?

I tried to keep the changes (full debdiff attached) minimal:

$ debdiff neverball_1.5.4-2.dsc neverball_1.5.4-3.dsc |diffstat
 debian/patches/sepperate-data-and-bin |   13 ++++++++++
 debian/patches/series                 |    1 
 neverball-1.5.4/debian/changelog      |    8 ++++++
 neverball-1.5.4/debian/control        |    2 -
 neverball-1.5.4/debian/rules          |   44
++++++++++++++++++++++++++--------
 5 files changed, 57 insertions(+), 11 deletions(-)


I should mention, that this upload doesn't really fix the FTBFS.  Building
neverball on mips works, but upstream doesn't allow sepperation of builind
the data files and the actuall binaries, and building the data files does
take ages on mips.  I could successfully build 1.5.4-2  on gabrielli, but
it more than two days.  During the build, nothing get's printed, so recent
last binNMU got terminated.

The fix now sepperates the build of the executables and the data; allthough
the resulting debian/rules looks strange, I tested it quite carefully and
it works.

Best regards,
  Alexander


-- System Information:
Debian Release: 5.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-xen-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)
Shell: /bin/sh linked to /bin/bash
[neverball_1.5.4-3.debdiff (text/x-diff, attachment)]

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Tue, 05 Oct 2010 07:42:03 GMT) Full text and rfc822 format available.

Notification sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 07:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 599082-done@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 599082-done@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: Bug#599082: unblock: neverball/1.5.4-3
Date: Tue, 05 Oct 2010 09:31:59 +0200
Hi!

Am 04.10.2010 16:05, schrieb Alexander Reichle-Schmehl:

> Would you please unblock neverball/1.5.4-3 as it "fixes" #598614, a FTBFS on mips?

Sorry, seems my request came too soon.
https://buildd.debian.org/pkg.cgi?pkg=neverball lists 1.5.4-3 on mips as
"Build-attempt", so something still fails (can't understand it; it
worked on gabrielli!).  So I close this unblock request, and wait for
the build logs.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599082; Package release.debian.org. (Tue, 05 Oct 2010 16:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Oct 2010 16:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 599082@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: 599082@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: Bug#599082: unblock: neverball/1.5.4-3
Date: Tue, 5 Oct 2010 18:12:24 +0200
[Message part 1 (text/plain, inline)]
reopen 599082
thanks

Hi!

* Alexander Reichle-Schmehl <tolimar@debian.org> [101005 09:31]:

> > Would you please unblock neverball/1.5.4-3 as it "fixes" #598614, a FTBFS on mips?
> Sorry, seems my request came too soon.
> https://buildd.debian.org/pkg.cgi?pkg=neverball lists 1.5.4-3 on mips as
> "Build-attempt", so something still fails (can't understand it; it
> worked on gabrielli!).  So I close this unblock request, and wait for
> the build logs.

Arg, sorry for the confussion.  It appreas I didn't read the the above
webpage correctly :(

neverball has been sucessfully built on all archs.  I would therefore
ask you to unblock it.


Best Regards,
  Alexander
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Oct 2010 16:15:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 05 Oct 2010 16:33:09 GMT) Full text and rfc822 format available.

Notification sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 16:33:09 GMT) Full text and rfc822 format available.

Message #22 received at 599082-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 599082-done@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: Bug#599082: unblock: neverball/1.5.4-3
Date: Tue, 5 Oct 2010 18:30:10 +0200
[Message part 1 (text/plain, inline)]
On Tue, Oct  5, 2010 at 18:12:24 +0200, Alexander Reichle-Schmehl wrote:

> neverball has been sucessfully built on all archs.  I would therefore
> ask you to unblock it.
> 
Grrr at adding patch systems.  Unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599082; Package release.debian.org. (Wed, 06 Oct 2010 09:12:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Oct 2010 09:12:45 GMT) Full text and rfc822 format available.

Message #27 received at 599082@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: 599082@bugs.debian.org
Subject: Re: Bug#599082 closed by Julien Cristau <jcristau@debian.org> (Re: Bug#599082: unblock: neverball/1.5.4-3)
Date: Wed, 6 Oct 2010 10:19:52 +0200
[Message part 1 (text/plain, inline)]
Hi!

* Debian Bug Tracking System <owner@bugs.debian.org> [101005 18:33]:

> > neverball has been sucessfully built on all archs.  I would therefore
> > ask you to unblock it.
> Grrr at adding patch systems.  Unblocked.

Sorry, I thought it would be the cleaner and therefore prefered
approach.

If you prefer it, I can reupload without patch system but direct
changes.


Thanks for your work anyway!


Best Regards,
  Alexander
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Nov 2010 07:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:44:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.